1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

need help with my first generation psp!!!

Discussion in 'Sony Handhelds' started by epekbrick, Dec 19, 2013.

  1. epekbrick

    epekbrick Regular member

    Joined:
    May 9, 2007
    Messages:
    206
    Likes Received:
    0
    Trophy Points:
    26
    hello whats up everyone i have a question and hopefully i can get some help ok here we go, i have a fat psp with the firmware 5.00m33-4 and my problem is would i be able to use an emulator with this firmware if so or if not can someone plz show me or tell me how thanks happy holidays
     
  2. keebles

    keebles Regular member

    Joined:
    Aug 13, 2005
    Messages:
    714
    Likes Received:
    1
    Trophy Points:
    26
    5.00m33-4 is obsolete. your better off updating to 6.60 pro. In order to do so, you have to update to OFW 6.60, then run the CFW installer for 6.60 pro.

    After the master key for the psp was found, the latest firmware became hackable on all psp's(including the go). With 6.60 pro, you can run iso's, emulators, pretty much any homebrew you want.

    http://digiex.net/guides-reviews/co...y-psp-psp-psp-slim-psp-3000-psp-go-e1000.html
     
    Last edited: Dec 20, 2013
  3. Eisherz

    Eisherz Active member

    Joined:
    Nov 28, 2006
    Messages:
    2,831
    Likes Received:
    33
    Trophy Points:
    78
    With a fully hackable PSP 1k you are better off with the latest 6.60 ME version, because that one is a permanent custom firmware. Also you don't have to go to 6.60 official and then use one of the LCFWs as a homebrew enabler to install 6.60 ME CFW, you can directly install it.
     

Share This Page